Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.security
Interface IdentityAssertionProvider

All Known Implementing Classes:
  DefaultIdentityAssertionProvider

public interface IdentityAssertionProvider

Specifies an interface for creating and SAML assertions for SSO between a WLP Consumer and WLP Producer.

Method Summary
`AssertionDocument` | `createAssertion(Principal principal, String consumerName)` Creates a SAML identity assertion.
`void` | `init(String keystorePath, String keystorePassword, String certAlias, String privateKeyPassword)` Initializes the keystore for generating and validating identity assertion tokens.
`boolean` | `validateAssertion(AssertionType assertion)` Validates a SAML assertion.

Method Detail

### init

    public void init(String keystorePath,
                     String keystorePassword,
                     String certAlias,
                     String privateKeyPassword)

  Initializes the keystore for generating and validating identity assertion tokens.

  Parameters:
    `keystorePath` -
    `keystorePassword` -
    `certAlias` -
    `privateKeyPassword` -

### createAssertion

    public AssertionDocument createAssertion(Principal principal,
                                             String consumerName)
                                      throws IOException,
                                             XmlException,
                                             NoSuchAlgorithmException

  Creates a SAML identity assertion.

  Parameters:
    `principal` -
    `consumerName` -
  Returns:
  Throws:
    `IOException`
    `XmlException`
    `NoSuchAlgorithmException`

### validateAssertion

    public boolean validateAssertion(AssertionType assertion)
                              throws IdentityAssertionException

  Validates a SAML assertion.

  Parameters:
    `assertion` -
  Returns:
  Throws:
    `IdentityAssertionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved